#
# spec file for package python-jsonlines
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jsonlines
Version:        1.2.0
Release:        bp156.3.1
Summary:        Library with helpers for the jsonlines file format
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/wbolster/jsonlines
Source:         https://github.com/wbolster/jsonlines/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python library to simplify working with jsonlines_ and ndjson_ data.

%prep
%setup -q -n jsonlines-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%files %{python_files}
%doc README.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Wed Aug 29 2018 mcalabkova@suse.com
- Added python-jsonlines needed by python-cloudflare, which is
  needed by python-certbot-dns-cloudflare
